commit 02fa01b23003eb4429392092cd0282d44a11cea8
Author: Jan Büren <jan@kivitendo-premium.de>
Date:   Fri Sep 25 12:06:32 2020 +0200

    LaTeX-Druckvorlagen f-tex entfernt, doku und installation_check
    
    installation_check -l prüft jetzt auf pdfx und die Version
    Entsprechenden Hinweis in der Doku.
    f-tex entfernt, die letzten Änderungen wurden von Geoff und Jan
    in 2014 gemacht, der ursprüngliche Maintainer scheint seitdem inaktiv zu sein.

diff --git a/scripts/installation_check.pl b/scripts/installation_check.pl
index 95a93c971..db4ae24c7 100755
--- a/scripts/installation_check.pl
+++ b/scripts/installation_check.pl
@@ -146,9 +146,28 @@ exit !!@missing_modules;
 sub check_latex {
   my ($res) = check_kpsewhich();
   print_result("Looking for LaTeX kpsewhich", $res);
+
+  # no pdfx -> no zugferd possible
+  my $ret = kpsewhich('template/print/', 'sty', 'pdfx');
+  die "Cannot use pdfx. Please install this package first (debian: apt install texlive-latex-extra)"  if $ret;
+  # check version 2018
+  my $latex = $::lx_office_conf{applications}->{latex} || 'pdflatex';
+  my $pdfx = (system ${latex} . ' --interaction=batchmode "\documentclass{minimal} \RequirePackage{pdfx} \csname @ifpackagelater\endcsname{pdfx}{2018/12/22}{}{\show\relax} \begin{document} \end{document}"');
+
+  print_result ("Looking for pdfx version 2018 or higher", !$pdfx);
+  push @missing_modules, \(name => 'pdfx') if $pdfx;
+
   if ($res) {
     check_template_dir($_) for SL::InstallationCheck::template_dirs($master_templates);
   }
+  print STDERR <<EOL if $pdfx;
++------------------------------------------------------------------------------+
+  Your pdfx version is too old. You cannot use ZuGFeRD or modern (2018+)
+  templates. Please consider using a more recent LaTeX environment.
+  Verify with:
+  pdflatex --interaction=batchmode "\RequirePackage{pdfx}[2018/12/22]"
++------------------------------------------------------------------------------+
+EOL
 }
 
 sub check_template_dir {
@@ -160,7 +179,7 @@ sub check_template_dir {
 
   my @sty = sort { $a cmp $b } uniq (
     SL::InstallationCheck::classes_from_latex($path, '\usepackage'),
-    qw(textcomp ulem pdfx embedfile)
+    qw(textcomp ulem embedfile)
   );
   kpsewhich($path, 'sty', $_) for @sty;
 }
